Bug 124416 - XP Backup cannot connect to Samba Share
XP Backup cannot connect to Samba Share
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
https://bugzilla.samba.org/show_bug.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 09:37 EDT by Dennis DeDonatis
Modified: 2014-08-31 19:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 14:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis DeDonatis 2004-05-26 09:37:33 EDT
Description of problem:
XP Backup cannot connect to Samba Share

Version-Release number of selected component (if applicable):
samba-3.0.3-5

How reproducible:
Always

Steps to Reproduce:
1. Try to use XP backup to connect to a Samba Share
  
Actual results:

Windows XP explorer works perfectly.  It looks like this is a known 
problem and is fixed in newer releases of Samba.  See 
https://bugzilla.samba.org/show_bug.cgi?id=1345
Comment 1 Olaf Eichhorn 2004-06-15 09:16:01 EDT
The same bug is in samba 3.0.4-1.FC1.i386 under FC1
see also https://bugzilla.samba.org/show_bug.cgi?id=1404
Comment 2 Alan Hamilton 2004-06-24 16:36:16 EDT
I tried the patch in
https://bugzilla.samba.org/show_bug.cgi?id=1345 and it resolved the 
problem.
Comment 3 Thomas M Steenholdt 2004-07-08 03:13:46 EDT
Check out samba bug 1404 here
https://bugzilla.samba.org/show_bug.cgi?id=1404 as well...

Please apply the appropriate patches to the Fedora/RedHat packages.
Comment 4 Dennis DeDonatis 2004-07-22 09:28:58 EDT
If you move to the version of Samba with the security updates, this 
bug will be fixed, too:

http://us4.samba.org/samba/whatsnew/samba-3.0.5.html

Security Release -- Samba 3.0.5 Available for Download

                 =============================
                 Release Notes for Samba 3.0.5
                         July 20, 2004
                 =============================

######################## SECURITY RELEASE ########################

Summary:       Multiple Potential Buffer Overruns in Samba 3.0.x
CVE ID:        CAN-2004-0600, CAN-2004-0686
               (http://cve.mitre.org/)


This is the latest stable release of Samba. This is the version
that production Samba servers should be running for all current
bug-fixes.

It has been confirmed that versions of Samba 3 prior to v3.0.5
are vulnerable to two potential buffer overruns.  The individual
details are given below.

Comment 5 Jay Fenlason 2004-07-22 10:00:07 EDT
3.0.5 == 3.0.4 plus a pair of security fixes.  This error is not 
fixed by 3.0.5.  It is fixed in the samba-3.0.6rc1 (formerly 
3.0.5rc1 before this security mess happened) sources that will be 
avaliable later. 
Comment 6 Dennis DeDonatis 2004-08-23 09:14:55 EDT
It seems to be fixed in 3.0.6 released on 2004-08-19.

http://us3.samba.org/samba/history/samba-3.0.6.html

I loaded up the 3.0.6 Fedora Core 2 RPMS from 
http://www.samba.org/samba/ftp/Binary_Packages/Fedora/RPMS/i386/core/2
/ and XP backup seems to be working fine.

Comment 7 Matthew Miller 2005-04-26 11:50:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Thomas M Steenholdt 2005-04-26 14:38:08 EDT
This has been working for me for a while now - Please close, unless other people
are still seing these issues!

Note You need to log in before you can comment on or make changes to this bug.